<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" lang="en">
<head>
    <meta charset="UTF-8"/>
    <title>List Ingredients</title>

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
          integrity="sha384-BVYiiSIFeK1dGmJRAkycuHAHRg32OmUcww7on3RYdg4Va+PmSTsz/K68vbdEjh4u" crossorigin="anonymous"
          th:href="@{/webjars/bootstrap/3.3.7-1/css/bootstrap.min.css}">

    <script src="/webjars/jquery/1.11.1/jquery.min.js"></script>

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"
            integrity="sha384-Tc5IQib027qvyjSMfHjOMaLkfuWVxZxUPnCJA7l2mCWNIpG9mGCD8wGNIcPD7Txa"
            crossorigin="anonymous" th:src="@{/webjars/bootstrap/3.3.7-1/js/bootstrap.min.js}"></script>
</head>
<body>
<!--/*@thymesVar id="recipe" type="sk.seidl.recipe_app.domains.Recipe"*/-->
<!--/*@thymesVar id="ingredients" type="java.util.Set<sk.seidl.recipe_app.commands.IngredientCommand>"*/-->
<div class="container-fluid" style="margin-top: 20px">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <div class="panel panel-primary">

                <div class="panel-heading">
                    <div class="row">
                        <div class="col-md-11 ">
                            <h1 class="panel-title">Ingredients</h1>
                        </div>
                        <div class="col-md-1">
                            <a class="btn btn-default" href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredient/new'}" role="button">New</a>
                        </div>
                    </div>

                </div>
                <div class="panel-body">

                    <div class="table-responsive" th:if="${not #lists.isEmpty(recipe.ingredients)}">
                        <table class="table table-hover ">
                            <thead class="thead-inverse">
                            <tr>
                                <th>ID</th>
                                <th>Description</th>
                                <th>View</th>
                                <th>Update</th>
                                <th>Delete</th>
                            </tr>
                            </thead>
                            <tr th:remove="all">
                                <td>123</td>
                                <td>Tasty Goodnees 1</td>
                                <td><a href="#">View</a></td>
                                <td><a href="#">Update</a></td>
                                <td><a href="#">Delete</a></td>
                            </tr>
                            <tr th:remove="all">
                                <td>12333</td>
                                <td>Tasty Goodnees 2</td>
                                <td><a href="#">View</a></td>
                                <td><a href="#">Update</a></td>
                                <td><a href="#">Delete</a></td>
                            </tr>
                            <tr th:each="ingredient : ${recipe.ingredients}">
                                <td th:text="${ingredient.id}">334</td>
                                <td th:text="${ingredient.amount} + ' ' + ${ingredient.unitOfMeasure.getDescription()} + ' ' + ${ingredient.description}">Tasty Goodnees 3</td>
                                <td>
                                    <a href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredient/' + ${ingredient.id} + '/show'}">View</a>
                                </td>
                                <td>
                                    <a href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredient/' + ${ingredient.id} + '/update'}">Update</a>
                                </td>
                                <td>
                                    <a href="#" th:href="@{'/recipe/' + ${recipe.id} + '/ingredient/' + ${ingredient.id} + '/delete'}">Delete</a>
                                </td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>